org.gradle.platform.base

## Interface TypeBuilder<C>

- Type Parameters:
    `C` - The component type.
  All Known Subinterfaces:
    BinaryTypeBuilder<C>, ComponentTypeBuilder<C>, LanguageTypeBuilder<T>

      @Incubating
      public interface TypeBuilder<C>

  A TypeBuilder to configure read the implementation class of a type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeBuilder<C>` | `defaultImplementation(Class<? extends C> implementation)` Allows the plugin to register the implementation type.
    `TypeBuilder<C>` | `internalView(Class<?> internalView)`

- - ### Method Detail

    - #### defaultImplementation

          TypeBuilder<C> defaultImplementation(Class<? extends C> implementation)

      Allows the plugin to register the implementation type.
      Parameters:
        `implementation` - the implementation class.

    - #### internalView

          TypeBuilder<C> internalView(Class<?> internalView)